#### Beyond Linux® From Scratch (systemd Edition) - Version 10.1

### Chapter 9. General Libraries

- Prev

  libyaml-0.2.4

- Next

  mtdev-1.1.6

- Up
- Home

# LZO-2.10

## Introduction to LZO

LZO is a data compression library which is suitable for data decompression and compression in real-time. This means it favors speed over compression ratio.

This package is known to build and work properly using an LFS-10.1 platform.

### Package Information

- Download (HTTP): http://www.oberhumer.com/opensource/lzo/download/lzo-2.10.tar.gz

- Download MD5 sum: 39d3f3f9c55c87b1e5d6888e1420f4b5

- Download size: 588 KB

- Estimated disk space required: 12 MB

- Estimated build time: 0.3 SBU (with tests)

User Notes: http://wiki.linuxfromscratch.org/blfs/wiki/lzo

## Installation of LZO

Install LZO by running the following commands:

    ./configure --prefix=/usr                    \
                --enable-shared                  \
                --disable-static                 \
                --docdir=/usr/share/doc/lzo-2.10 &&
    make

To test the results, issue: make check. All the checks should pass. Now issue make test to run the full suite of tests.

Now, as the `root` user:

    make install

## Command Explanations

`--disable-static`: This switch prevents installation of static versions of the libraries.

## Contents

Installed Programs: None
Installed Libraries: liblzo2.so
Installed Directories: /usr/include/lzo and /usr/share/doc/lzo

### Short Descriptions

`liblzo2.so` | is a data compression and decompression library

Last updated on 2021-02-19 21:30:09 -0800

- Prev

  libyaml-0.2.4

- Next

  mtdev-1.1.6

- Up
- Home